### Function

# Gio AppInfo reset_type_associations

since: 2.20

#### Declaration

    void
    g_app_info_reset_type_associations (
      const char* content_type
    )

#### Description

Removes all changes to the type associations done by g_app_info_set_as_default_for_type(), g_app_info_set_as_default_for_extension(), `g_app_info_add_supports_type()` or g_app_info_remove_supports_type().

Available since: 2.20

#### Parameters

`content_type`

  Type: `const char*`

  A content type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.